Name:          python-distutils-extra
Version:       2.45
Release:       1mamba
Summary:       Add support for i10n, documentation and icons to distutils
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/ubuntu/+source/python-distutils-extra
Source:        http://ftp.debian.org/debian/pool/main/p/python-distutils-extra/python-distutils-extra_%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
Add support for i10n, documentation and icons to distutils.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n %{name}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/python_distutils_extra-*-py*.egg-info
%{python_sitearch}/python_distutils_extra-*-py*.egg-info/*

%changelog
* Tue Jan 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.45-1mamba
- update to 2.45

* Thu Sep 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.39-3mamba
- rebuilt with py3 package

* Wed Jul 10 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.39-2mamba
- added -py36 package

* Mon Feb 08 2016 Automatic Build System <autodist@mambasoft.it> 2.39-1mamba
- automatic update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 2.38-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.37-2mamba
- rebuilt with python 2.7

* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 2.37-1mamba
- automatic version update by autodist

* Mon Aug 20 2012 Automatic Build System <autodist@mambasoft.it> 2.36-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.35-1mamba
- update to 2.35

* Tue Jan 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.15-1mamba
- update to 2.15

* Tue Jun 12 2007 Silvan Calarco <silvan.calarco@mambasoft.it> extra_0.90-1mamba
- package created by autospec
